Subject: Re: [PATCH] net: core: dev.c confirmed to use classic sockaddr

From: Kees Cook <[email-masked]>
Date: Tue, 17 Dec 2024 12:30:36 -0800

On Tue, Dec 17, 2024 at 10:35:44AM -0500, Willem de Bruijn wrote:
> Kees Cook wrote:
> > As part of trying to clean up struct sock_addr, add comments about the
> > sockaddr arguments of dev_[gs]et_mac_address() being actual classic "max
> > 14 bytes in sa_data" sockaddr instances and not struct sockaddr_storage.
> 
> What is this assertion based on?
> 
> I see various non-Ethernet .ndo_set_mac_address implementations, which
> dev_set_mac_address calls. And dev_set_mac_addr_user is called from
> rtnetlink do_setlink. Which kmalloc's sa based on dev->addr_len.

Yeah, I was clearly missing several cases. Please ignore this patch. I
will re-examine this.

-- 
Kees Cook